Subject: Re: unit tests / cirrus ci fails

From: Đoàn Trần Công Danh <[email-masked]>
Date: Fri, 9 Jul 2021 22:06:56 +0700

On 2021-07-09 15:31:01+0200, Fabian Stelzer <[email-masked]> wrote:
> Hi,
> i'm having a issue with a failing test on my pull request.
> https://github.com/git/git/pull/1041/checks?check_run_id=3028222798
> 
> I have added a bunch of new tests and they fail on the freebsd12 test that's
> run via gitgitgadget.
> Is there any way to enable verbose / debug output on these or a simple way
> to run tests manually in the same environment?

I don't know about cirrus CI, but, skimming over the log, it run into
fatal error after skipping t4202.71, I think the bashism in
"test_lazy_prereq GPGSSH" is the culprit.

"|&" in "ssh_version=$(ssh-keygen -Y find-principals |& grep -q "unknown option")"

> I had no issues with the full test suite on fedora / centos linux except for
> "t0500-progress-display.sh"
> which seems to be a different issue. this test fails in master as well on my
> fedora34 but works just fine on centos8.
> 
> Kind regards,
> Fabian Stelzer
> 

-- 
Danh